> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a vacation configuration



## OpenAPI

````yaml PUT /schedule/v1/vacation-configurations/{vacationConfigurationId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/vacation-configurations/{vacationConfigurationId}:
    put:
      tags:
        - Vacation Configurations
      summary: Updates a vacation configuration
      operationId: UpdateVacationConfiguration
      parameters:
        - in: path
          name: vacationConfigurationId
          description: Vacation Configuration ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                requestVacationFrom:
                  type: string
                  format: Y-m
                renewalPeriod:
                  type: string
                  enum:
                    - working_year
                    - calendar_year
                    - each_month
                dayType:
                  type: string
                  enum:
                    - business_day
                    - calendar_day
                maxDaysOff:
                  type: number
                  format: integer
                creationDateNextYear:
                  type: string
                maxDateToTakeVacations:
                  type: number
                  format: integer
                needsValidation:
                  type: boolean
                employeeRequestDenyExcessDaysOff:
                  type: boolean
                hoursQuantityConfigured:
                  type: boolean
                halfDayVacationConfiguration:
                  type: string
                  enum:
                    - weekly_average
                    - daily_average
                allowFreeHoursSelection:
                  type: boolean
                enjoyMonthPeriod:
                  type: number
                  format: integer
                employeeRequestEnabled:
                  type: boolean
                notAllowedDateRanges:
                  type: array
                  items:
                    type: object
                    properties:
                      from:
                        type: string
                        format: Y-m
                      to:
                        type: string
                        format: Y-m
                configurationType:
                  type: string
                  enum:
                    - max_days
                    - seniority_days
                    - unlimited_days
                year:
                  type: number
                  format: int
              required:
                - dayType
                - employeeRequestEnabled
                - needsValidation
                - name
                - employeeRequestDenyExcessDaysOff
                - configurationType
                - creationDateNextYear
                - hoursQuantityConfigured
                - allowFreeHoursSelection
      responses:
        '204':
          description: No Content
          content: {}
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````